Jump to content

Covadis

L'applicatif de topographie numérique, de cartographie et de conception de projets VRD d'AutoCAD de la société Geomedia.


1 934 topics in this forum

  1. COVADIS 17 1 2

    • 44 replies
    • 24,3k views
    • 2 replies
    • 206 views
    • 3 replies
    • 140 views
    • 1 reply
    • 155 views
    • 8 replies
    • 326 views
    • 4 replies
    • 1,7k views
    • 8 replies
    • 250 views
    • 2 replies
    • 174 views
    • 2 replies
    • 182 views
    • 2 replies
    • 176 views
    • 0 replies
    • 95 views
    • 2 replies
    • 436 views
    • 5 replies
    • 548 views
    • 1 reply
    • 303 views
    • 3 replies
    • 292 views
    • 4 replies
    • 358 views
    • 2 replies
    • 245 views
    • 6 replies
    • 388 views
    • 4 replies
    • 373 views
    • 9 replies
    • 403 views
    • 2 replies
    • 246 views
  2. profil en long

    • 2 replies
    • 221 views
    • 7 replies
    • 429 views
    • 4 replies
    • 465 views
    • 4 replies
    • 269 views
  • Forum Statistics

    • Total Topics
      46 468
    • Total Posts
      280 262
  • Posts

    • Salut Fruity,   En quoi c'est une magouille de modifier le ruban ou de se créer un raccourcis clavier ? Toutes les solutions proposées sont des solutions Autocadiennes de ce qu'il y a de plus propres ou académiques, et n'est pas une magouilles. A moins que "magouille" ait un sens particulier pour toi.
    • Bonjour à Toutes et à Tous Je continue à sévir sur da-code.fr, pour l'instant le sujet sur le feu c'est le VBA... Je viens de mettre en ligne une page qui parle de UserForm et de dessin d'entité commandé depuis la UserForm. J'ai tenté une nouveauté, à savoir déposer des vidéos. Je suis l'écoute de vos commentaires et critiques, car je ne sais pas si ces vidéos sont bien faites, au niveau du timing, au niveau du son, au niveau de la lisibilité de l'écran... dites-moi votre ressenti s'il vous plaît. La dernière en ligne est ICI Amicalement
    • Salut,   Sinon autre alternative, tu as le code de lee mac   ;;------------------------=={ Areas to Field }==------------------------;; ;; ;; ;; This program allows a user to create an MText object containing a ;; ;; Field Expression referencing the area, or sum of areas, of one or ;; ;; more selected objects. ;; ;; ;; ;; Upon issuing the command syntax 'A2F' at the AutoCAD command-line, ;; ;; the user is prompted to make a selection of objects for which to ;; ;; retrieve the area; if more than one object is selected, the ;; ;; cumulative area for all objects will be displayed by the resultant ;; ;; MText Field. ;; ;; ;; ;; Following object selection, the user is prompted to pick a point ;; ;; at which to create the MText Field. If the specified point resides ;; ;; within an AutoCAD table cell, the program will populate the table ;; ;; cell with the appropriate Field Expression. ;; ;; ;; ;; The Field will display the sum of the areas of the selected ;; ;; objects, formatted using the Field formatting code specified at ;; ;; the top of the program - this formatting code may be altered to ;; ;; suit the user's requirements. ;; ;; ;; ;;----------------------------------------------------------------------;; ;; Author: Lee Mac, Copyright © 2014 - www.lee-mac.com ;; ;;----------------------------------------------------------------------;; ;; Version 1.3 - 2014-07-17 ;; ;;----------------------------------------------------------------------;; (defun c:a2 ( / *error* fmt inc ins lst sel str ) (setq fmt "%lu6%qf1") ;; Field Formatting (defun *error* ( msg ) (LM:endundo (LM:acdoc)) (if (not (wcmatch (strcase msg t) "*break,*cancel*,*exit*")) (princ (strcat "\nError: " msg)) ) (princ) ) (if (and (setq sel (ssget '((0 . "ARC,CIRCLE,ELLIPSE,HATCH,*POLYLINE,REGION,SPLINE")))) (setq ins (getpoint "\nPick point or cell for field: ")) ) (progn (if (setq tmp (ssget "_X" (list '(0 . "ACAD_TABLE") (if (= 1 (getvar 'cvport)) (cons 410 (getvar 'ctab)) '(410 . "Model") ) ) ) ) (repeat (setq idx (sslength tmp)) (setq tab (cons (vlax-ename->vla-object (ssname tmp (setq idx (1- idx)))) tab)) ) ) (if (= 1 (sslength sel)) (setq str (strcat "%<\\AcObjProp Object(%<\\_ObjId " (LM:ObjectID (vlax-ename->vla-object (ssname sel 0))) ">%).Area \\f \"" fmt "\">%" ) ) (progn (repeat (setq idx (sslength sel)) (setq lst (vl-list* "%<\\AcObjProp Object(%<\\_ObjId " (LM:ObjectID (vlax-ename->vla-object (ssname sel (setq idx (1- idx))))) ">%).Area>%" " + " lst ) ) ) (setq str (strcat "%<\\AcExpr " (apply 'strcat (reverse (cdr (reverse lst)))) " \\f \"" fmt "\">%" ) ) ) ) (LM:startundo (LM:acdoc)) (if (setq tmp (LM:getcell tab (trans ins 1 0))) (apply 'vla-settext (append tmp (list str))) (vla-addmtext (vlax-get-property (LM:acdoc) (if (= 1 (getvar 'cvport)) 'paperspace 'modelspace)) (vlax-3D-point (trans ins 1 0)) 0.0 str ) ) (LM:endundo (LM:acdoc)) ) ) (princ) ) ;; ObjectID - Lee Mac ;; Returns a string containing the ObjectID of a supplied VLA-Object ;; Compatible with 32-bit & 64-bit systems (defun LM:ObjectID ( obj ) (eval (list 'defun 'LM:ObjectID '( obj ) (if (and (vl-string-search "64" (getenv "PROCESSOR_ARCHITECTURE")) (vlax-method-applicable-p (vla-get-utility (LM:acdoc)) 'getobjectidstring) ) (list 'vla-getobjectidstring (vla-get-utility (LM:acdoc)) 'obj ':vlax-false) '(itoa (vla-get-objectid obj)) ) ) ) (LM:ObjectID obj) ) ;; Get Cell - Lee Mac ;; If the supplied point lies within a cell boundary, ;; returns a list of: (<VLA Table Object> <Row> <Col>) (defun LM:getcell ( lst pnt / dir ) (setq dir (vlax-3D-point (trans (getvar 'viewdir) 1 0)) pnt (vlax-3D-point pnt) ) (vl-some '(lambda ( tab / row col ) (if (= :vlax-true (vla-hittest tab pnt dir 'row 'col)) (list tab row col) ) ) lst ) ) ;; Start Undo - Lee Mac ;; Opens an Undo Group. (defun LM:startundo ( doc ) (LM:endundo doc) (vla-startundomark doc) ) ;; End Undo - Lee Mac ;; Closes an Undo Group. (defun LM:endundo ( doc ) (while (= 8 (logand 8 (getvar 'undoctl))) (vla-endundomark doc) ) ) ;; Active Document - Lee Mac ;; Returns the VLA Active Document Object (defun LM:acdoc nil (eval (list 'defun 'LM:acdoc 'nil (vla-get-activedocument (vlax-get-acad-object)))) (LM:acdoc) ) (vl-load-com) (princ) ;;----------------------------------------------------------------------;; ;; End of File ;; ;;----------------------------------------------------------------------;; Amicalement.
    • Salut Olivier, c'est dingue, on a tous les même type de besoins ... en alternative a ta solution vocales, est-ce que tu n'aurais pas une solution d'écoute d’événement sous windows ? Attention, je n'ai jamais développé la moindre appli pour windows, donc je peux vraiment raconter n'importe quoi: Tu crée une appli windows OE_Coords (sa sonne bien ...) tu lance ton "street-view", puis tu lance OE_coords, dont le rôle est d'attendre l’événement "stree-view écrit vers le presse papier" a cet événement, OE_coords ouvre un dialogue, où il te demande le code OK -> pilotage d'Autocad pour finir l'opération, et retour focus sur "street-view" Tu évite ainsi les clics pour changer d'appli, ton programme sert d'interface entre "street-view" et Autocad. a+ gégé
    • han c'est du plagiat, scanDXF  c'est de Brice (ou Bryce, pas certain de l'orthographe)
  • Sujets

×
×
  • Create New...